
# (C) 2001-2019 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and 
# other software and tools, and its AMPP partner logic functions, and 
# any output files any of the foregoing (including device programming 
# or simulation files), and any associated documentation or information 
# are expressly subject to the terms and conditions of the Altera 
# Program License Subscription Agreement, Altera MegaCore Function 
# License Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by Altera 
# or its authorized distributors. Please refer to the applicable 
# agreement for further details.

# ACDS 18.1 625 win32 2019.07.01.16:17:23
# ----------------------------------------
# Auto-generated simulation script rivierapro_setup.tcl
# ----------------------------------------
# This script provides commands to simulate the following IP detected in
# your Quartus project:
#     hdmi_controller
# 
# Altera recommends that you source this Quartus-generated IP simulation
# script from your own customized top-level script, and avoid editing this
# generated script.
# 
# To write a top-level script that compiles Altera simulation libraries and
# the Quartus-generated IP in your project, along with your design and
# testbench files, copy the text from the TOP-LEVEL TEMPLATE section below
# into a new file, e.g. named "aldec.do", and modify the text as directed.
# 
# ----------------------------------------
# # TOP-LEVEL TEMPLATE - BEGIN
# #
# # QSYS_SIMDIR is used in the Quartus-generated IP simulation script to
# # construct paths to the files required to simulate the IP in your Quartus
# # project. By default, the IP script assumes that you are launching the
# # simulator from the IP script location. If launching from another
# # location, set QSYS_SIMDIR to the output directory you specified when you
# # generated the IP script, relative to the directory from which you launch
# # the simulator.
# #
# set QSYS_SIMDIR <script generation output directory>
# #
# # Source the generated IP simulation script.
# source $QSYS_SIMDIR/aldec/rivierapro_setup.tcl
# #
# # Set any compilation options you require (this is unusual).
# set USER_DEFINED_COMPILE_OPTIONS <compilation options>
# set USER_DEFINED_VHDL_COMPILE_OPTIONS <compilation options for VHDL>
# set USER_DEFINED_VERILOG_COMPILE_OPTIONS <compilation options for Verilog>
# #
# # Call command to compile the Quartus EDA simulation library.
# dev_com
# #
# # Call command to compile the Quartus-generated IP simulation files.
# com
# #
# # Add commands to compile all design files and testbench files, including
# # the top level. (These are all the files required for simulation other
# # than the files compiled by the Quartus-generated IP simulation script)
# #
# vlog -sv2k5 <your compilation options> <design and testbench files>
# #
# # Set the top-level simulation or testbench module/entity name, which is
# # used by the elab command to elaborate the top level.
# #
# set TOP_LEVEL_NAME <simulation top>
# #
# # Set any elaboration options you require.
# set USER_DEFINED_ELAB_OPTIONS <elaboration options>
# #
# # Call command to elaborate your design and testbench.
# elab
# #
# # Run the simulation.
# run
# #
# # Report success to the shell.
# exit -code 0
# #
# # TOP-LEVEL TEMPLATE - END
# ----------------------------------------
# 
# IP SIMULATION SCRIPT
# ----------------------------------------
# If hdmi_controller is one of several IP cores in your
# Quartus project, you can generate a simulation script
# suitable for inclusion in your top-level simulation
# script by running the following command line:
# 
# ip-setup-simulation --quartus-project=<quartus project>
# 
# ip-setup-simulation will discover the Altera IP
# within the Quartus project, and generate a unified
# script which supports all the Altera IP within the design.
# ----------------------------------------

# ----------------------------------------
# Initialize variables
if ![info exists SYSTEM_INSTANCE_NAME] { 
  set SYSTEM_INSTANCE_NAME ""
} elseif { ![ string match "" $SYSTEM_INSTANCE_NAME ] } { 
  set SYSTEM_INSTANCE_NAME "/$SYSTEM_INSTANCE_NAME"
}

if ![info exists TOP_LEVEL_NAME] { 
  set TOP_LEVEL_NAME "hdmi_controller"
}

if ![info exists QSYS_SIMDIR] { 
  set QSYS_SIMDIR "./../"
}

if ![info exists QUARTUS_INSTALL_DIR] { 
  set QUARTUS_INSTALL_DIR "F:/intelfpga/18.1/quartus/"
}

if ![info exists USER_DEFINED_COMPILE_OPTIONS] { 
  set USER_DEFINED_COMPILE_OPTIONS ""
}
if ![info exists USER_DEFINED_VHDL_COMPILE_OPTIONS] { 
  set USER_DEFINED_VHDL_COMPILE_OPTIONS ""
}
if ![info exists USER_DEFINED_VERILOG_COMPILE_OPTIONS] { 
  set USER_DEFINED_VERILOG_COMPILE_OPTIONS ""
}
if ![info exists USER_DEFINED_ELAB_OPTIONS] { 
  set USER_DEFINED_ELAB_OPTIONS ""
}

# ----------------------------------------
# Initialize simulation properties - DO NOT MODIFY!
set ELAB_OPTIONS ""
set SIM_OPTIONS ""
if ![ string match "*-64 vsim*" [ vsim -version ] ] {
} else {
}

set Aldec "Riviera"
if { [ string match "*Active-HDL*" [ vsim -version ] ] } {
  set Aldec "Active"
}

if { [ string match "Active" $Aldec ] } {
  scripterconf -tcl
  createdesign "$TOP_LEVEL_NAME"  "."
  opendesign "$TOP_LEVEL_NAME"
}

# ----------------------------------------
# Copy ROM/RAM files to simulation directory
alias file_copy {
  echo "\[exec\] file_copy"
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_bht_ram.dat ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_bht_ram.hex ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_bht_ram.mif ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_dc_tag_ram.dat ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_dc_tag_ram.hex ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_dc_tag_ram.mif ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ic_tag_ram.dat ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ic_tag_ram.hex ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ic_tag_ram.mif ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ociram_default_contents.dat ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ociram_default_contents.hex ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ociram_default_contents.mif ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_a.dat ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_a.hex ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_a.mif ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_b.dat ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_b.hex ./
  file copy -force $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_b.mif ./
  file copy -force $QSYS_SIMDIR/../altera_avalon_onchip_memory2_181/sim/hdmi_controller_onchip_memory2.hex ./
}

# ----------------------------------------
# Create compilation libraries
proc ensure_lib { lib } { if ![file isdirectory $lib] { vlib $lib } }
ensure_lib      ./libraries     
ensure_lib      ./libraries/work
vmap       work ./libraries/work
ensure_lib                   ./libraries/altera_ver       
vmap       altera_ver        ./libraries/altera_ver       
ensure_lib                   ./libraries/lpm_ver          
vmap       lpm_ver           ./libraries/lpm_ver          
ensure_lib                   ./libraries/sgate_ver        
vmap       sgate_ver         ./libraries/sgate_ver        
ensure_lib                   ./libraries/altera_mf_ver    
vmap       altera_mf_ver     ./libraries/altera_mf_ver    
ensure_lib                   ./libraries/altera_lnsim_ver 
vmap       altera_lnsim_ver  ./libraries/altera_lnsim_ver 
ensure_lib                   ./libraries/twentynm_ver     
vmap       twentynm_ver      ./libraries/twentynm_ver     
ensure_lib                   ./libraries/twentynm_hssi_ver
vmap       twentynm_hssi_ver ./libraries/twentynm_hssi_ver
ensure_lib                   ./libraries/twentynm_hip_ver 
vmap       twentynm_hip_ver  ./libraries/twentynm_hip_ver 
ensure_lib                                                     ./libraries/hdmi_controller_error_adapter_181                  
vmap       hdmi_controller_error_adapter_181                   ./libraries/hdmi_controller_error_adapter_181                  
ensure_lib                                                     ./libraries/hdmi_controller_altera_avalon_st_adapter_181       
vmap       hdmi_controller_altera_avalon_st_adapter_181        ./libraries/hdmi_controller_altera_avalon_st_adapter_181       
ensure_lib                                                     ./libraries/hdmi_controller_altera_merlin_multiplexer_181      
vmap       hdmi_controller_altera_merlin_multiplexer_181       ./libraries/hdmi_controller_altera_merlin_multiplexer_181      
ensure_lib                                                     ./libraries/hdmi_controller_altera_merlin_demultiplexer_181    
vmap       hdmi_controller_altera_merlin_demultiplexer_181     ./libraries/hdmi_controller_altera_merlin_demultiplexer_181    
ensure_lib                                                     ./libraries/hdmi_controller_altera_merlin_traffic_limiter_181  
vmap       hdmi_controller_altera_merlin_traffic_limiter_181   ./libraries/hdmi_controller_altera_merlin_traffic_limiter_181  
ensure_lib                                                     ./libraries/hdmi_controller_altera_merlin_router_181           
vmap       hdmi_controller_altera_merlin_router_181            ./libraries/hdmi_controller_altera_merlin_router_181           
ensure_lib                                                     ./libraries/hdmi_controller_altera_avalon_sc_fifo_181          
vmap       hdmi_controller_altera_avalon_sc_fifo_181           ./libraries/hdmi_controller_altera_avalon_sc_fifo_181          
ensure_lib                                                     ./libraries/hdmi_controller_altera_merlin_slave_agent_181      
vmap       hdmi_controller_altera_merlin_slave_agent_181       ./libraries/hdmi_controller_altera_merlin_slave_agent_181      
ensure_lib                                                     ./libraries/hdmi_controller_altera_merlin_master_agent_181     
vmap       hdmi_controller_altera_merlin_master_agent_181      ./libraries/hdmi_controller_altera_merlin_master_agent_181     
ensure_lib                                                     ./libraries/hdmi_controller_altera_merlin_slave_translator_181 
vmap       hdmi_controller_altera_merlin_slave_translator_181  ./libraries/hdmi_controller_altera_merlin_slave_translator_181 
ensure_lib                                                     ./libraries/hdmi_controller_altera_merlin_master_translator_181
vmap       hdmi_controller_altera_merlin_master_translator_181 ./libraries/hdmi_controller_altera_merlin_master_translator_181
ensure_lib                                                     ./libraries/hdmi_controller_altera_nios2_gen2_unit_181         
vmap       hdmi_controller_altera_nios2_gen2_unit_181          ./libraries/hdmi_controller_altera_nios2_gen2_unit_181         
ensure_lib                                                     ./libraries/hdmi_controller_altera_reset_controller_181        
vmap       hdmi_controller_altera_reset_controller_181         ./libraries/hdmi_controller_altera_reset_controller_181        
ensure_lib                                                     ./libraries/hdmi_controller_altera_irq_mapper_181              
vmap       hdmi_controller_altera_irq_mapper_181               ./libraries/hdmi_controller_altera_irq_mapper_181              
ensure_lib                                                     ./libraries/hdmi_controller_altera_mm_interconnect_181         
vmap       hdmi_controller_altera_mm_interconnect_181          ./libraries/hdmi_controller_altera_mm_interconnect_181         
ensure_lib                                                     ./libraries/hdmi_controller_altera_avalon_timer_181            
vmap       hdmi_controller_altera_avalon_timer_181             ./libraries/hdmi_controller_altera_avalon_timer_181            
ensure_lib                                                     ./libraries/hdmi_controller_altera_avalon_sysid_qsys_181       
vmap       hdmi_controller_altera_avalon_sysid_qsys_181        ./libraries/hdmi_controller_altera_avalon_sysid_qsys_181       
ensure_lib                                                     ./libraries/hdmi_controller_altera_avalon_pio_181              
vmap       hdmi_controller_altera_avalon_pio_181               ./libraries/hdmi_controller_altera_avalon_pio_181              
ensure_lib                                                     ./libraries/hdmi_controller_altera_avalon_onchip_memory2_181   
vmap       hdmi_controller_altera_avalon_onchip_memory2_181    ./libraries/hdmi_controller_altera_avalon_onchip_memory2_181   
ensure_lib                                                     ./libraries/hdmi_controller_altera_nios2_gen2_181              
vmap       hdmi_controller_altera_nios2_gen2_181               ./libraries/hdmi_controller_altera_nios2_gen2_181              
ensure_lib                                                     ./libraries/hdmi_controller_altera_avalon_jtag_uart_181        
vmap       hdmi_controller_altera_avalon_jtag_uart_181         ./libraries/hdmi_controller_altera_avalon_jtag_uart_181        

# ----------------------------------------
# Compile device library files
alias dev_com {
  echo "\[exec\] dev_com"
  eval vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.v"                -work altera_ver       
  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/220model.v"                         -work lpm_ver          
  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.v"                            -work sgate_ver        
  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.v"                        -work altera_mf_ver    
  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim.sv"                    -work altera_lnsim_ver 
  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/twentynm_atoms.v"                   -work twentynm_ver     
  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/aldec/twentynm_atoms_ncrypt.v"      -work twentynm_ver     
  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/aldec/twentynm_hssi_atoms_ncrypt.v" -work twentynm_hssi_ver
  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/twentynm_hssi_atoms.v"              -work twentynm_hssi_ver
  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/aldec/twentynm_hip_atoms_ncrypt.v"  -work twentynm_hip_ver 
  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/twentynm_hip_atoms.v"               -work twentynm_hip_ver 
}

# ----------------------------------------
# Compile the design files in correct order
alias com {
  echo "\[exec\] com"
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../error_adapter_181/sim/hdmi_controller_error_adapter_181_6bjmpii.sv"                                      -work hdmi_controller_error_adapter_181                  
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_st_adapter_181/sim/hdmi_controller_altera_avalon_st_adapter_181_bbfziwi.v"                 -work hdmi_controller_altera_avalon_st_adapter_181       
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/hdmi_controller_altera_merlin_multiplexer_181_narunzq.sv"              -work hdmi_controller_altera_merlin_multiplexer_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/altera_merlin_arbitrator.sv"                                           -work hdmi_controller_altera_merlin_multiplexer_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/hdmi_controller_altera_merlin_multiplexer_181_jserjai.sv"              -work hdmi_controller_altera_merlin_multiplexer_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/altera_merlin_arbitrator.sv"                                           -work hdmi_controller_altera_merlin_multiplexer_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_demultiplexer_181/sim/hdmi_controller_altera_merlin_demultiplexer_181_uuvjk6q.sv"          -work hdmi_controller_altera_merlin_demultiplexer_181    
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_demultiplexer_181/sim/hdmi_controller_altera_merlin_demultiplexer_181_577b3ni.sv"          -work hdmi_controller_altera_merlin_demultiplexer_181    
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/hdmi_controller_altera_merlin_multiplexer_181_3pcs7qq.sv"              -work hdmi_controller_altera_merlin_multiplexer_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/altera_merlin_arbitrator.sv"                                           -work hdmi_controller_altera_merlin_multiplexer_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/hdmi_controller_altera_merlin_multiplexer_181_cuaznta.sv"              -work hdmi_controller_altera_merlin_multiplexer_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/altera_merlin_arbitrator.sv"                                           -work hdmi_controller_altera_merlin_multiplexer_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_demultiplexer_181/sim/hdmi_controller_altera_merlin_demultiplexer_181_sszbgdy.sv"          -work hdmi_controller_altera_merlin_demultiplexer_181    
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_demultiplexer_181/sim/hdmi_controller_altera_merlin_demultiplexer_181_6gij6yy.sv"          -work hdmi_controller_altera_merlin_demultiplexer_181    
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_181/sim/altera_merlin_traffic_limiter.sv"                                  -work hdmi_controller_altera_merlin_traffic_limiter_181  
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_181/sim/altera_merlin_reorder_memory.sv"                                   -work hdmi_controller_altera_merlin_traffic_limiter_181  
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_181/sim/altera_avalon_sc_fifo.v"                                           -work hdmi_controller_altera_merlin_traffic_limiter_181  
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_181/sim/altera_avalon_st_pipeline_base.v"                                  -work hdmi_controller_altera_merlin_traffic_limiter_181  
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_router_181/sim/hdmi_controller_altera_merlin_router_181_7w2xn3i.sv"                        -work hdmi_controller_altera_merlin_router_181           
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_router_181/sim/hdmi_controller_altera_merlin_router_181_6bsxjgq.sv"                        -work hdmi_controller_altera_merlin_router_181           
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_router_181/sim/hdmi_controller_altera_merlin_router_181_jrnig5q.sv"                        -work hdmi_controller_altera_merlin_router_181           
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_router_181/sim/hdmi_controller_altera_merlin_router_181_e3jl7fa.sv"                        -work hdmi_controller_altera_merlin_router_181           
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_sc_fifo_181/sim/altera_avalon_sc_fifo.v"                                                   -work hdmi_controller_altera_avalon_sc_fifo_181          
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_slave_agent_181/sim/altera_merlin_slave_agent.sv"                                          -work hdmi_controller_altera_merlin_slave_agent_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_slave_agent_181/sim/altera_merlin_burst_uncompressor.sv"                                   -work hdmi_controller_altera_merlin_slave_agent_181      
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_master_agent_181/sim/altera_merlin_master_agent.sv"                                        -work hdmi_controller_altera_merlin_master_agent_181     
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_slave_translator_181/sim/altera_merlin_slave_translator.sv"                                -work hdmi_controller_altera_merlin_slave_translator_181 
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_merlin_master_translator_181/sim/altera_merlin_master_translator.sv"                              -work hdmi_controller_altera_merlin_master_translator_181
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq.vo"                    -work hdmi_controller_altera_nios2_gen2_unit_181         
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_debug_slave_sysclk.v"  -work hdmi_controller_altera_nios2_gen2_unit_181         
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_debug_slave_tck.v"     -work hdmi_controller_altera_nios2_gen2_unit_181         
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_debug_slave_wrapper.v" -work hdmi_controller_altera_nios2_gen2_unit_181         
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_mult_cell.v"           -work hdmi_controller_altera_nios2_gen2_unit_181         
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_test_bench.v"          -work hdmi_controller_altera_nios2_gen2_unit_181         
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_reset_controller_181/sim/altera_reset_controller.v"                                               -work hdmi_controller_altera_reset_controller_181        
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_reset_controller_181/sim/altera_reset_synchronizer.v"                                             -work hdmi_controller_altera_reset_controller_181        
  eval  vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS      "$QSYS_SIMDIR/../altera_irq_mapper_181/sim/hdmi_controller_altera_irq_mapper_181_avovc7i.sv"                              -work hdmi_controller_altera_irq_mapper_181              
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_mm_interconnect_181/sim/hdmi_controller_altera_mm_interconnect_181_rpooyoi.v"                     -work hdmi_controller_altera_mm_interconnect_181         
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_timer_181/sim/hdmi_controller_altera_avalon_timer_181_aqotr5y.v"                           -work hdmi_controller_altera_avalon_timer_181            
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_sysid_qsys_181/sim/hdmi_controller_altera_avalon_sysid_qsys_181_ipysvcy.v"                 -work hdmi_controller_altera_avalon_sysid_qsys_181       
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_y654xyq.v"                               -work hdmi_controller_altera_avalon_pio_181              
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_rfny2aq.v"                               -work hdmi_controller_altera_avalon_pio_181              
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_onchip_memory2_181/sim/hdmi_controller_altera_avalon_onchip_memory2_181_7ffyv5a.v"         -work hdmi_controller_altera_avalon_onchip_memory2_181   
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_nios2_gen2_181/sim/hdmi_controller_altera_nios2_gen2_181_tyu4vai.v"                               -work hdmi_controller_altera_nios2_gen2_181              
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_gskc3oy.v"                               -work hdmi_controller_altera_avalon_pio_181              
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_jtag_uart_181/sim/hdmi_controller_altera_avalon_jtag_uart_181_auddbyy.v"                   -work hdmi_controller_altera_avalon_jtag_uart_181        
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_xtajiey.v"                               -work hdmi_controller_altera_avalon_pio_181              
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_jk35l6q.v"                               -work hdmi_controller_altera_avalon_pio_181              
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_xblwksq.v"                               -work hdmi_controller_altera_avalon_pio_181              
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_5hyba5y.v"                               -work hdmi_controller_altera_avalon_pio_181              
  eval  vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/hdmi_controller.v"                                                                                                                                                   
}

# ----------------------------------------
# Elaborate top level design
alias elab {
  echo "\[exec\] elab"
  eval vsim +access +r -t ps $ELAB_OPTIONS -L work -L hdmi_controller_error_adapter_181 -L hdmi_controller_altera_avalon_st_adapter_181 -L hdmi_controller_altera_merlin_multiplexer_181 -L hdmi_controller_altera_merlin_demultiplexer_181 -L hdmi_controller_altera_merlin_traffic_limiter_181 -L hdmi_controller_altera_merlin_router_181 -L hdmi_controller_altera_avalon_sc_fifo_181 -L hdmi_controller_altera_merlin_slave_agent_181 -L hdmi_controller_altera_merlin_master_agent_181 -L hdmi_controller_altera_merlin_slave_translator_181 -L hdmi_controller_altera_merlin_master_translator_181 -L hdmi_controller_altera_nios2_gen2_unit_181 -L hdmi_controller_altera_reset_controller_181 -L hdmi_controller_altera_irq_mapper_181 -L hdmi_controller_altera_mm_interconnect_181 -L hdmi_controller_altera_avalon_timer_181 -L hdmi_controller_altera_avalon_sysid_qsys_181 -L hdmi_controller_altera_avalon_pio_181 -L hdmi_controller_altera_avalon_onchip_memory2_181 -L hdmi_controller_altera_nios2_gen2_181 -L hdmi_controller_altera_avalon_jtag_uart_181 -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L twentynm_ver -L twentynm_hssi_ver -L twentynm_hip_ver $TOP_LEVEL_NAME
}

# ----------------------------------------
# Elaborate the top level design with -dbg -O2 option
alias elab_debug {
  echo "\[exec\] elab_debug"
  eval vsim -dbg -O2 +access +r -t ps $ELAB_OPTIONS -L work -L hdmi_controller_error_adapter_181 -L hdmi_controller_altera_avalon_st_adapter_181 -L hdmi_controller_altera_merlin_multiplexer_181 -L hdmi_controller_altera_merlin_demultiplexer_181 -L hdmi_controller_altera_merlin_traffic_limiter_181 -L hdmi_controller_altera_merlin_router_181 -L hdmi_controller_altera_avalon_sc_fifo_181 -L hdmi_controller_altera_merlin_slave_agent_181 -L hdmi_controller_altera_merlin_master_agent_181 -L hdmi_controller_altera_merlin_slave_translator_181 -L hdmi_controller_altera_merlin_master_translator_181 -L hdmi_controller_altera_nios2_gen2_unit_181 -L hdmi_controller_altera_reset_controller_181 -L hdmi_controller_altera_irq_mapper_181 -L hdmi_controller_altera_mm_interconnect_181 -L hdmi_controller_altera_avalon_timer_181 -L hdmi_controller_altera_avalon_sysid_qsys_181 -L hdmi_controller_altera_avalon_pio_181 -L hdmi_controller_altera_avalon_onchip_memory2_181 -L hdmi_controller_altera_nios2_gen2_181 -L hdmi_controller_altera_avalon_jtag_uart_181 -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L twentynm_ver -L twentynm_hssi_ver -L twentynm_hip_ver $TOP_LEVEL_NAME
}

# ----------------------------------------
# Compile all the design files and elaborate the top level design
alias ld "
  dev_com
  com
  elab
"

# ----------------------------------------
# Compile all the design files and elaborate the top level design with -dbg -O2
alias ld_debug "
  dev_com
  com
  elab_debug
"

# ----------------------------------------
# Print out user commmand line aliases
alias h {
  echo "List Of Command Line Aliases"
  echo
  echo "file_copy                                         -- Copy ROM/RAM files to simulation directory"
  echo
  echo "dev_com                                           -- Compile device library files"
  echo
  echo "com                                               -- Compile the design files in correct order"
  echo
  echo "elab                                              -- Elaborate top level design"
  echo
  echo "elab_debug                                        -- Elaborate the top level design with -dbg -O2 option"
  echo
  echo "ld                                                -- Compile all the design files and elaborate the top level design"
  echo
  echo "ld_debug                                          -- Compile all the design files and elaborate the top level design with -dbg -O2"
  echo
  echo 
  echo
  echo "List Of Variables"
  echo
  echo "TOP_LEVEL_NAME                                    -- Top level module name."
  echo "                                                     For most designs, this should be overridden"
  echo "                                                     to enable the elab/elab_debug aliases."
  echo
  echo "SYSTEM_INSTANCE_NAME                              -- Instantiated system module name inside top level module."
  echo
  echo "QSYS_SIMDIR                                       -- Platform Designer base simulation directory."
  echo
  echo "QUARTUS_INSTALL_DIR                               -- Quartus installation directory."
  echo
  echo "USER_DEFINED_COMPILE_OPTIONS                      -- User-defined compile options, added to com/dev_com aliases."
  echo
  echo "USER_DEFINED_ELAB_OPTIONS                         -- User-defined elaboration options, added to elab/elab_debug aliases."
  echo
  echo "USER_DEFINED_VHDL_COMPILE_OPTIONS                 -- User-defined vhdl compile options, added to com/dev_com aliases."
  echo
  echo "USER_DEFINED_VERILOG_COMPILE_OPTIONS              -- User-defined verilog compile options, added to com/dev_com aliases."
}
file_copy
h
