
# (C) 2001-2019 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and 
# other software and tools, and its AMPP partner logic functions, and 
# any output files any of the foregoing (including device programming 
# or simulation files), and any associated documentation or information 
# are expressly subject to the terms and conditions of the Altera 
# Program License Subscription Agreement, Altera MegaCore Function 
# License Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by Altera 
# or its authorized distributors. Please refer to the applicable 
# agreement for further details.

# ACDS 18.1 625 win32 2019.07.01.16:17:23

# ----------------------------------------
# vcsmx - auto-generated simulation script

# ----------------------------------------
# This script provides commands to simulate the following IP detected in
# your Quartus project:
#     hdmi_controller
# 
# Altera recommends that you source this Quartus-generated IP simulation
# script from your own customized top-level script, and avoid editing this
# generated script.
# 
# To write a top-level shell script that compiles Altera simulation libraries 
# and the Quartus-generated IP in your project, along with your design and
# testbench files, copy the text from the TOP-LEVEL TEMPLATE section below
# into a new file, e.g. named "vcsmx_sim.sh", and modify text as directed.
# 
# You can also modify the simulation flow to suit your needs. Set the
# following variables to 1 to disable their corresponding processes:
# - SKIP_FILE_COPY: skip copying ROM/RAM initialization files
# - SKIP_DEV_COM: skip compiling the Quartus EDA simulation library
# - SKIP_COM: skip compiling Quartus-generated IP simulation files
# - SKIP_ELAB and SKIP_SIM: skip elaboration and simulation
# 
# ----------------------------------------
# # TOP-LEVEL TEMPLATE - BEGIN
# #
# # QSYS_SIMDIR is used in the Quartus-generated IP simulation script to
# # construct paths to the files required to simulate the IP in your Quartus
# # project. By default, the IP script assumes that you are launching the
# # simulator from the IP script location. If launching from another
# # location, set QSYS_SIMDIR to the output directory you specified when you
# # generated the IP script, relative to the directory from which you launch
# # the simulator. In this case, you must also copy the generated library
# # setup "synopsys_sim.setup" into the location from which you launch the
# # simulator, or incorporate into any existing library setup.
# #
# # Run Quartus-generated IP simulation script once to compile Quartus EDA
# # simulation libraries and Quartus-generated IP simulation files, and copy
# # any ROM/RAM initialization files to the simulation directory.
# #
# # - If necessary, specify any compilation options:
# #   USER_DEFINED_COMPILE_OPTIONS
# #   USER_DEFINED_VHDL_COMPILE_OPTIONS applied to vhdl compiler
# #   USER_DEFINED_VERILOG_COMPILE_OPTIONS applied to verilog compiler
# #
# source <script generation output directory>/synopsys/vcsmx/vcsmx_setup.sh \
# SKIP_ELAB=1 \
# SKIP_SIM=1 \
# USER_DEFINED_COMPILE_OPTIONS=<compilation options for your design> \
# USER_DEFINED_VHDL_COMPILE_OPTIONS=<VHDL compilation options for your design> \
# USER_DEFINED_VERILOG_COMPILE_OPTIONS=<Verilog compilation options for your design> \
# QSYS_SIMDIR=<script generation output directory>
# #
# # Compile all design files and testbench files, including the top level.
# # (These are all the files required for simulation other than the files
# # compiled by the IP script)
# #
# vlogan <compilation options> <design and testbench files>
# #
# # TOP_LEVEL_NAME is used in this script to set the top-level simulation or
# # testbench module/entity name.
# #
# # Run the IP script again to elaborate and simulate the top level:
# # - Specify TOP_LEVEL_NAME and USER_DEFINED_ELAB_OPTIONS.
# # - Override the default USER_DEFINED_SIM_OPTIONS. For example, to run
# #   until $finish(), set to an empty string: USER_DEFINED_SIM_OPTIONS="".
# #
# source <script generation output directory>/synopsys/vcsmx/vcsmx_setup.sh \
# SKIP_FILE_COPY=1 \
# SKIP_DEV_COM=1 \
# SKIP_COM=1 \
# TOP_LEVEL_NAME="'-top <simulation top>'" \
# QSYS_SIMDIR=<script generation output directory> \
# USER_DEFINED_ELAB_OPTIONS=<elaboration options for your design> \
# USER_DEFINED_SIM_OPTIONS=<simulation options for your design>
# #
# # TOP-LEVEL TEMPLATE - END
# ----------------------------------------
# 
# IP SIMULATION SCRIPT
# ----------------------------------------
# If hdmi_controller is one of several IP cores in your
# Quartus project, you can generate a simulation script
# suitable for inclusion in your top-level simulation
# script by running the following command line:
# 
# ip-setup-simulation --quartus-project=<quartus project>
# 
# ip-setup-simulation will discover the Altera IP
# within the Quartus project, and generate a unified
# script which supports all the Altera IP within the design.
# ----------------------------------------
# ACDS 18.1 625 win32 2019.07.01.16:17:23
# ----------------------------------------
# initialize variables
TOP_LEVEL_NAME="hdmi_controller"
QSYS_SIMDIR="./../../"
QUARTUS_INSTALL_DIR="F:/intelfpga/18.1/quartus/"
SKIP_FILE_COPY=0
SKIP_DEV_COM=0
SKIP_COM=0
SKIP_ELAB=0
SKIP_SIM=0
USER_DEFINED_ELAB_OPTIONS=""
USER_DEFINED_SIM_OPTIONS="+vcs+finish+100"

# ----------------------------------------
# overwrite variables - DO NOT MODIFY!
# This block evaluates each command line argument, typically used for 
# overwriting variables. An example usage:
#   sh <simulator>_setup.sh SKIP_SIM=1
for expression in "$@"; do
  eval $expression
  if [ $? -ne 0 ]; then
    echo "Error: This command line argument, \"$expression\", is/has an invalid expression." >&2
    exit $?
  fi
done

# ----------------------------------------
# initialize simulation properties - DO NOT MODIFY!
ELAB_OPTIONS=""
SIM_OPTIONS=""
if [[ `vcs -platform` != *"amd64"* ]]; then
  :
else
  :
fi

# ----------------------------------------
# create compilation libraries
mkdir -p ./libraries/work/
mkdir -p ./libraries/hdmi_controller_error_adapter_181/
mkdir -p ./libraries/hdmi_controller_altera_avalon_st_adapter_181/
mkdir -p ./libraries/hdmi_controller_altera_merlin_multiplexer_181/
mkdir -p ./libraries/hdmi_controller_altera_merlin_demultiplexer_181/
mkdir -p ./libraries/hdmi_controller_altera_merlin_traffic_limiter_181/
mkdir -p ./libraries/hdmi_controller_altera_merlin_router_181/
mkdir -p ./libraries/hdmi_controller_altera_avalon_sc_fifo_181/
mkdir -p ./libraries/hdmi_controller_altera_merlin_slave_agent_181/
mkdir -p ./libraries/hdmi_controller_altera_merlin_master_agent_181/
mkdir -p ./libraries/hdmi_controller_altera_merlin_slave_translator_181/
mkdir -p ./libraries/hdmi_controller_altera_merlin_master_translator_181/
mkdir -p ./libraries/hdmi_controller_altera_nios2_gen2_unit_181/
mkdir -p ./libraries/hdmi_controller_altera_reset_controller_181/
mkdir -p ./libraries/hdmi_controller_altera_irq_mapper_181/
mkdir -p ./libraries/hdmi_controller_altera_mm_interconnect_181/
mkdir -p ./libraries/hdmi_controller_altera_avalon_timer_181/
mkdir -p ./libraries/hdmi_controller_altera_avalon_sysid_qsys_181/
mkdir -p ./libraries/hdmi_controller_altera_avalon_pio_181/
mkdir -p ./libraries/hdmi_controller_altera_avalon_onchip_memory2_181/
mkdir -p ./libraries/hdmi_controller_altera_nios2_gen2_181/
mkdir -p ./libraries/hdmi_controller_altera_avalon_jtag_uart_181/
mkdir -p ./libraries/altera_ver/
mkdir -p ./libraries/lpm_ver/
mkdir -p ./libraries/sgate_ver/
mkdir -p ./libraries/altera_mf_ver/
mkdir -p ./libraries/altera_lnsim_ver/
mkdir -p ./libraries/twentynm_ver/
mkdir -p ./libraries/twentynm_hssi_ver/
mkdir -p ./libraries/twentynm_hip_ver/

# ----------------------------------------
# copy RAM/ROM files to simulation directory
if [ $SKIP_FILE_COPY -eq 0 ]; then
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_bht_ram.dat ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_bht_ram.hex ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_bht_ram.mif ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_dc_tag_ram.dat ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_dc_tag_ram.hex ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_dc_tag_ram.mif ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ic_tag_ram.dat ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ic_tag_ram.hex ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ic_tag_ram.mif ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ociram_default_contents.dat ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ociram_default_contents.hex ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_ociram_default_contents.mif ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_a.dat ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_a.hex ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_a.mif ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_b.dat ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_b.hex ./
  cp -f $QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_rf_ram_b.mif ./
  cp -f $QSYS_SIMDIR/../altera_avalon_onchip_memory2_181/sim/hdmi_controller_onchip_memory2.hex ./
fi

# ----------------------------------------
# compile device library files
if [ $SKIP_DEV_COM -eq 0 ]; then
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.v"                   -work altera_ver       
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/220model.v"                            -work lpm_ver          
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.v"                               -work sgate_ver        
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.v"                           -work altera_mf_ver    
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim.sv"                       -work altera_lnsim_ver 
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/twentynm_atoms.v"                      -work twentynm_ver     
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/synopsys/twentynm_atoms_ncrypt.v"      -work twentynm_ver     
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/synopsys/twentynm_hssi_atoms_ncrypt.v" -work twentynm_hssi_ver
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/twentynm_hssi_atoms.v"                 -work twentynm_hssi_ver
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/synopsys/twentynm_hip_atoms_ncrypt.v"  -work twentynm_hip_ver 
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/twentynm_hip_atoms.v"                  -work twentynm_hip_ver 
fi

# ----------------------------------------
# compile design files in correct order
if [ $SKIP_COM -eq 0 ]; then
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../error_adapter_181/sim/hdmi_controller_error_adapter_181_6bjmpii.sv"                                      -work hdmi_controller_error_adapter_181                  
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_st_adapter_181/sim/hdmi_controller_altera_avalon_st_adapter_181_bbfziwi.v"                 -work hdmi_controller_altera_avalon_st_adapter_181       
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/hdmi_controller_altera_merlin_multiplexer_181_narunzq.sv"              -work hdmi_controller_altera_merlin_multiplexer_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/altera_merlin_arbitrator.sv"                                           -work hdmi_controller_altera_merlin_multiplexer_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/hdmi_controller_altera_merlin_multiplexer_181_jserjai.sv"              -work hdmi_controller_altera_merlin_multiplexer_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/altera_merlin_arbitrator.sv"                                           -work hdmi_controller_altera_merlin_multiplexer_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_demultiplexer_181/sim/hdmi_controller_altera_merlin_demultiplexer_181_uuvjk6q.sv"          -work hdmi_controller_altera_merlin_demultiplexer_181    
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_demultiplexer_181/sim/hdmi_controller_altera_merlin_demultiplexer_181_577b3ni.sv"          -work hdmi_controller_altera_merlin_demultiplexer_181    
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/hdmi_controller_altera_merlin_multiplexer_181_3pcs7qq.sv"              -work hdmi_controller_altera_merlin_multiplexer_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/altera_merlin_arbitrator.sv"                                           -work hdmi_controller_altera_merlin_multiplexer_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/hdmi_controller_altera_merlin_multiplexer_181_cuaznta.sv"              -work hdmi_controller_altera_merlin_multiplexer_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_multiplexer_181/sim/altera_merlin_arbitrator.sv"                                           -work hdmi_controller_altera_merlin_multiplexer_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_demultiplexer_181/sim/hdmi_controller_altera_merlin_demultiplexer_181_sszbgdy.sv"          -work hdmi_controller_altera_merlin_demultiplexer_181    
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_demultiplexer_181/sim/hdmi_controller_altera_merlin_demultiplexer_181_6gij6yy.sv"          -work hdmi_controller_altera_merlin_demultiplexer_181    
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_181/sim/altera_merlin_traffic_limiter.sv"                                  -work hdmi_controller_altera_merlin_traffic_limiter_181  
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_181/sim/altera_merlin_reorder_memory.sv"                                   -work hdmi_controller_altera_merlin_traffic_limiter_181  
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_181/sim/altera_avalon_sc_fifo.v"                                           -work hdmi_controller_altera_merlin_traffic_limiter_181  
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_181/sim/altera_avalon_st_pipeline_base.v"                                  -work hdmi_controller_altera_merlin_traffic_limiter_181  
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_router_181/sim/hdmi_controller_altera_merlin_router_181_7w2xn3i.sv"                        -work hdmi_controller_altera_merlin_router_181           
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_router_181/sim/hdmi_controller_altera_merlin_router_181_6bsxjgq.sv"                        -work hdmi_controller_altera_merlin_router_181           
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_router_181/sim/hdmi_controller_altera_merlin_router_181_jrnig5q.sv"                        -work hdmi_controller_altera_merlin_router_181           
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_router_181/sim/hdmi_controller_altera_merlin_router_181_e3jl7fa.sv"                        -work hdmi_controller_altera_merlin_router_181           
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_sc_fifo_181/sim/altera_avalon_sc_fifo.v"                                                   -work hdmi_controller_altera_avalon_sc_fifo_181          
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_slave_agent_181/sim/altera_merlin_slave_agent.sv"                                          -work hdmi_controller_altera_merlin_slave_agent_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_slave_agent_181/sim/altera_merlin_burst_uncompressor.sv"                                   -work hdmi_controller_altera_merlin_slave_agent_181      
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_master_agent_181/sim/altera_merlin_master_agent.sv"                                        -work hdmi_controller_altera_merlin_master_agent_181     
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_slave_translator_181/sim/altera_merlin_slave_translator.sv"                                -work hdmi_controller_altera_merlin_slave_translator_181 
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_merlin_master_translator_181/sim/altera_merlin_master_translator.sv"                              -work hdmi_controller_altera_merlin_master_translator_181
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq.vo"                    -work hdmi_controller_altera_nios2_gen2_unit_181         
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_debug_slave_sysclk.v"  -work hdmi_controller_altera_nios2_gen2_unit_181         
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_debug_slave_tck.v"     -work hdmi_controller_altera_nios2_gen2_unit_181         
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_debug_slave_wrapper.v" -work hdmi_controller_altera_nios2_gen2_unit_181         
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_mult_cell.v"           -work hdmi_controller_altera_nios2_gen2_unit_181         
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_nios2_gen2_unit_181/sim/hdmi_controller_altera_nios2_gen2_unit_181_iesz3yq_test_bench.v"          -work hdmi_controller_altera_nios2_gen2_unit_181         
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_reset_controller_181/sim/altera_reset_controller.v"                                               -work hdmi_controller_altera_reset_controller_181        
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_reset_controller_181/sim/altera_reset_synchronizer.v"                                             -work hdmi_controller_altera_reset_controller_181        
  vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/../altera_irq_mapper_181/sim/hdmi_controller_altera_irq_mapper_181_avovc7i.sv"                              -work hdmi_controller_altera_irq_mapper_181              
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_mm_interconnect_181/sim/hdmi_controller_altera_mm_interconnect_181_rpooyoi.v"                     -work hdmi_controller_altera_mm_interconnect_181         
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_timer_181/sim/hdmi_controller_altera_avalon_timer_181_aqotr5y.v"                           -work hdmi_controller_altera_avalon_timer_181            
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_sysid_qsys_181/sim/hdmi_controller_altera_avalon_sysid_qsys_181_ipysvcy.v"                 -work hdmi_controller_altera_avalon_sysid_qsys_181       
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_y654xyq.v"                               -work hdmi_controller_altera_avalon_pio_181              
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_rfny2aq.v"                               -work hdmi_controller_altera_avalon_pio_181              
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_onchip_memory2_181/sim/hdmi_controller_altera_avalon_onchip_memory2_181_7ffyv5a.v"         -work hdmi_controller_altera_avalon_onchip_memory2_181   
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_nios2_gen2_181/sim/hdmi_controller_altera_nios2_gen2_181_tyu4vai.v"                               -work hdmi_controller_altera_nios2_gen2_181              
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_gskc3oy.v"                               -work hdmi_controller_altera_avalon_pio_181              
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_jtag_uart_181/sim/hdmi_controller_altera_avalon_jtag_uart_181_auddbyy.v"                   -work hdmi_controller_altera_avalon_jtag_uart_181        
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_xtajiey.v"                               -work hdmi_controller_altera_avalon_pio_181              
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_jk35l6q.v"                               -work hdmi_controller_altera_avalon_pio_181              
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_xblwksq.v"                               -work hdmi_controller_altera_avalon_pio_181              
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/../altera_avalon_pio_181/sim/hdmi_controller_altera_avalon_pio_181_5hyba5y.v"                               -work hdmi_controller_altera_avalon_pio_181              
  vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/hdmi_controller.v"                                                                                                                                                   
fi

# ----------------------------------------
# elaborate top level design
if [ $SKIP_ELAB -eq 0 ]; then
  vcs -lca -t ps $ELAB_OPTIONS $USER_DEFINED_ELAB_OPTIONS $TOP_LEVEL_NAME
fi

# ----------------------------------------
# simulate
if [ $SKIP_SIM -eq 0 ]; then
  ./simv $SIM_OPTIONS $USER_DEFINED_SIM_OPTIONS
fi
